- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# MFnStringData Class Reference

# OpenMaya - API module for common classes | FunctionSet classes

Search for all occurrences

## Detailed Description

String function set for dependency node data.

MFnStringData allows the creation and manipulation of MString data objects for use in the dependency graph.

If a user written dependency node either accepts or produces MString, then this class is used to extract or create the data that comes from or goes to other dependency graph nodes. The MDataHandle::type method will return kStringData when data of this type is present. To access it, the MDataHandle::data method is used to get an MObject for the data and this should then be used to initialize an instance of MFnStringData.

Examples:

  cgfxShaderNode.cpp, findFileTexturesCmd.cpp, GLSLShaderNode.cpp, hlslShader.cpp, and stringFormatNode.cpp.

`#include <MFnStringData.h>`

Inheritance diagram for MFnStringData:
[legend]

List of all members.

## Public Member Functions
virtual MFn::Type | type () const
| Function set type.
virtual | ~MFnStringData ()
| Destructor.
| MFnStringData ()
| Default constructor.
| MFnStringData (MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
MString | string (MStatus *ReturnStatus=NULL) const
| Return a copy of the string held in this instance.
MStatus | set (const MString &newString)
| Set this instance to hold a copy of the given string.
MObject | create (const MString &str, MStatus *ReturnStatus=NULL)
| Create a new MObject, attach it to this instance and initialize it to a copy of the given string.
MObject | create (MStatus *ReturnStatus=NULL)
| Create a new MObject, attach it to this instance and initialize it to the null string.
| MFnStringData (const MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
## Protected Member Functions
virtual const char * | className () const
| Class name.

## Constructor & Destructor Documentation

MFnStringData | ( | MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnStringData | ( | const MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

## Member Function Documentation

MFn::Type type | ( |  | ) | const `[virtual]`

Search for all occurrences

Function set type.

Return the class type : MFn::kStringData.

Reimplemented from MFnData.

const char * className | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Class name.

Return the class name : "MFnStringData".

Reimplemented from MFnData.

MString string | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Return a copy of the string held in this instance.

Parameters:

  [out] | ReturnStatus | kFailure if the instance is not attached to an MObject, and kSuccess otherwise.

Returns:
  An MString containing the string

Examples:
  findFileTexturesCmd.cpp.

MStatus set | ( | const MString & | string | ) |

Search for all occurrences

Set this instance to hold a copy of the given string.

Parameters:

  [in] | string | the MString to copy

Returns:
  - kSuccess operation successfull.
  - kFailure instance is not attached to an MObject

MObject create | ( | const MString & | str,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Search for all occurrences

Create a new MObject, attach it to this instance and initialize it to a copy of the given string.

Parameters:

  [in] | str | the string to copy
  [out] | ReturnStatus | kSuccess

Returns:
  The new MObject

Examples:
  cgfxShaderNode.cpp, GLSLShaderNode.cpp, hlslShader.cpp, and stringFormatNode.cpp.

MObject create | ( | MStatus * | ReturnStatus = `NULL` | ) |

Search for all occurrences

Create a new MObject, attach it to this instance and initialize it to the null string.

Parameters:

  [out] | ReturnStatus | kSuccess

Returns:
  The new MObject

MFnStringData MFnStringData MFnStringData MFnStringData MFnStringData MFnStringData MFnStringData MFnStringData MFnStringData MFnStringData
MFnStringData MFnStringData MFnStringData MFnStringData MFnStringData MFnStringData MFnStringData MFnStringData MFnStringData MFnStringData